### Constructor

# ICalGLib VcardValue new_textlist

since: 4.0

#### Declaration [src]

    ICalVcardValue*
    i_cal_vcard_value_new_textlist (
      const ICalVcardStrArray* value
    )

#### Description [src]

Creates a new `ICalVcardValue` holding TEXTLIST.

Note: this uses a copy of the string array, not the one stored in the `value`.

Available since: 4.0

#### Parameters

`value`

  Type: `const ICalVcardStrArray`

  The string array as a value for the new ICalVcardValue holding TEXTLIST.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalVcardValue`

A new `ICalVcardValue` holding TEXTLIST.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.